# This spec for backport to M24 is autogenerated. Do not edit it.
Name: pptpd
Version: 1.3.2
Release: alt0.M24.1

Summary: A PPTP server daemon
Summary(ru_RU.KOI8-R):    PPTP
License: GPL
Group: System/Servers

Url: http://www.poptop.org
Packager: Vladimir V Kamarzin <vvk@altlinux.ru>

Source0: http://heanet.dl.sourceforge.net/sourceforge/poptop/%name-%version.tar.gz
Source1: pptpd.init
Source2: pptpd.sysconfig
Patch1: pptpd-1.2.1-alt-makefile.patch
Patch2: pptpd-1.1.4-b2-asp-alt-alternate-pppd.patch
Patch3: pptpd-1.3.2-alt-maxconn.patch
Patch5: pptpd-1.3.0-alt-plugins_libdir.patch
Patch6: pptpd-1.3.0-alt-logwtmp_unresolved.patch

Requires: ppp

#BuildPreReq: rpm-build >= 4.0.4-alt10, autoconf_2.5, automake_1.9
BuildRequires: libwrap-devel

#%%def_with libwrap

BuildRequires: rpm-build-compat >= 0.4

%description
PPTPd, Point-to-Point Tunnelling Protocol Daemon, offers out connections
to PPTP clients to become virtual members of the IP pool owned by the PPTP
server.  In effect, these clients become virtual members of the local
subnet, regardless of what their real IP address is.  A tunnel is built
between the PPTP server and client, and packets from the subnet are
wrapped and passed between server and client similar to other C/S
protocols.

%description -l ru_RU.KOI8-R
PPTPd, Point-to-Point Tunnelling Protocol Daemon,  
PPTP-    IP-,   PPTP.
         
    IP-.     
  ,      
  .

%prep
%setup -q
%patch1 -p1
#%%patch2 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1

find -type d -name CVS -print0 |
	xargs -r0 rm -rf --

%build


#%%set_autoconf_version 2.5
#%%set_automake_version 1.9
#%%configure %{subst_with libwrap}
autoreconf -fisv
%configure \
	--with-libwrap \
	--enable-bcrelay
%make_build

%install
%makeinstall

install -pD -m644 samples/%name.conf %buildroot%_sysconfdir/%name.conf
install -pD -m644 samples/options.%name %buildroot%_sysconfdir/ppp/options.%name
install -pD -m755 %SOURCE1 %buildroot%_initdir/%name
install -pD -m600 %SOURCE2 %buildroot%_sysconfdir/sysconfig/%name

%post
%post_service %name

%preun
%preun_service %name

%files
%config %_initdir/%name
%config(noreplace) %_sysconfdir/sysconfig/%name
%config(noreplace) %_sysconfdir/%name.conf
%config(noreplace) %_sysconfdir/ppp/options.%name
%_sbindir/*
%_mandir/man?/*
%_libdir/%name
#%%_libdir/%name/*
%doc AUTHORS NEWS README* TODO samples tools ChangeLog* html

%changelog
* Thu Aug 03 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.3.2-alt0.M24.1
- backport to ALT Linux M24 (by rpmbph script)

* Thu Aug 03 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.3.2-alt1
- 1.3.2
- Fix build on x86_64 (Closes: #9817)
- Fix some unresolved symbols in logwtmp (patch suggested by stalker@)
- Rediffed alt-maxconn patch
- Removed unnedded pptpd-1.3.0-cvs-pptpgre.c.patch

* Wed Jul 26 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.3.0-alt2
- Added patch from CVS (pptpd-1.3.0-cvs-pptpgre.c.patch) for fix some
  logging

* Sun Jul 09 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.3.0-alt1
- 1.3.0
- New packager

* Sun Dec 25 2005 Denis Ovsienko <pilot@altlinux.ru> 1.2.1-alt2
- fixing files section (#8727)

* Sat May 14 2005 Denis Ovsienko <pilot@altlinux.ru> 1.2.1-alt1
- switching to current stable version
- rediffed makefile patch

* Mon Feb 07 2005 Denis Ovsienko <pilot@altlinux.ru> 1.1.4-alt4.b4
- enhancements:
 + #5653 (maximum 255 connections)
 + #5977 (--pidfile works now)

* Mon May 31 2004 Denis Ovsienko <pilot@altlinux.ru> 1.1.4-alt3.b4
- moved strange scripts away from bindir and eliminated perl-base dependency

* Tue May 25 2004 Denis Ovsienko <pilot@altlinux.ru> 1.1.4-alt2.b4
- disabled dangerous patch

* Sat May 15 2004 Denis Ovsienko <pilot@altlinux.ru> 1.1.4-alt1.b4
- previous version was actually 1.1.4-b4
- Russian tags
- enabled libwrap support and broadcast relaying
- group changed to System/Servers

* Wed May 05 2004 Denis Ovsienko <pilot@altlinux.ru> 1.1.4-alt1.b2
- initscript adjusted for current requirements and fixed
- new stable version 1.1.4-b2
- patches adjusted for new version

* Wed Apr 23 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.3_20030409-alt1
- NMU: updated to 1.1.3-20030409, to fix exploitable buffer overflow,
  thanks to Timo Sirainen for reporting this issue.

* Mon Oct 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt1
- 1.1.3
- Rebuilt in new environment

* Mon Jun 17 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.2-alt1
- 1.1.2
- Added patches from ASP Linux
- Added /etc/sysconfig/pptpd file with args for pptpd
- Some spec cleanup

* Tue Nov 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.1-ipl2
- Rebuild for Sisyphus
- Fixed filelist
- Added %post & %postun scripts

* Sun Mar 18 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.1.1-ipl1
- First build for ALT
